Bug 166574 - [PATCH] Thunderbird's remote doesn't allow attachments
[PATCH] Thunderbird's remote doesn't allow attachments
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: thunderbird (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: Desktop
Depends On:
  Show dependency treegraph
Reported: 2005-08-23 10:47 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-11 09:52:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
thunderbird-remote-compose-allow-attachments.patch (762 bytes, patch)
2005-08-23 10:47 EDT, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2005-08-23 10:47:47 EDT
If Thunderbird is already running, launching:
/usr/bin/thunderbird -compose "attachment='file:///tmp/sve0o.tmp/noname3.sxw'"
will fail (this is what OpenOffice.org uses for its "Send as e-mail" functionality).

A simple patch below to make it use "xfeDoCommand(composeMessage,...)" instead
of "mailto()" in those cases attached.

Tested with:
/usr/bin/thunderbird -compose "foo@bar.com"
/usr/bin/thunderbird -compose "mailto:foo@bar.com"
/usr/bin/thunderbird -compose "attachment='file:///tmp/sve0o.tmp/noname3.sxw'"
Comment 1 Bastien Nocera 2005-08-23 10:47:48 EDT
Created attachment 118003 [details]
Comment 5 Daniel Riek 2006-03-13 15:04:49 EST
A fix to this issue seems to be available and it is not unlikely that this
component will be included in a future Update release. 

Moving to the next Update, clearing all ACKs.
Comment 8 RHEL Product and Program Management 2006-08-18 13:24:52 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 10 Christopher Aillon 2007-01-19 15:03:15 EST

Note You need to log in before you can comment on or make changes to this bug.